function u=proj_tvl2_sym2(f,lam,iter,dt)
% private function by Guy Gilboa (Jan 2015)
%% Symmetric version for solving analytic solutions like disks
%% Chambolle's projection method for solving ROF-TV
%% input: image, lam, #iterations, dt, p0
%% p0x,y - optional, if there is a good approximation of p0 (vector)
%% output: processed image
%% example: J=proj_tvl2_sym2(I,lam,iter,dt)

% symmetric
u=f;
iter_q = round(iter/4);
u=proj_tvl2(u,lam*4,iter_q,dt);
u=proj_tvl2(rot90(u),lam*4,iter_q,dt);
u=proj_tvl2(rot90(u),lam*4,iter_q,dt);
u=proj_tvl2(rot90(u),lam*4,iter_q,dt);
u=rot90(u);